Loading...
Searching...
No Matches
f

## Detailed Description

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Examples
  burgers_dg.cc, burgers_diffusion_operators.icc, cavity_dg.h, cosinusprod_dirichlet.h, cosinusprod_helmholtz.h, cosinusprod_laplace.h, cosinusrad_laplace.h, dirichlet_homogeneous.h, elasticity_solve.icc, embankment.cc, incompressible-elasticity.cc, lambda_c.h, mosolov_error_yield_surface.cc, neumann-laplace.cc, nu.h, sinusprod_dirichlet.h, sinusprod_helmholtz.h, sinusprod_laplace.h, sinusrad_laplace.h, sphere.icc, taylor.h, and torus.icc.

Definition at line 29 of file cavity_dg.h.

Inheritance diagram for f:

## Public Member Functions

point | operator() (const point &x) const
Float | operator() (const point &x) const
| f (size_t d1)
Float | operator() (const point &x) const
| f (size_t d1)
Float | operator() (const point &x) const
| f (size_t d1)
Float | operator() (const point &x) const
| f (size_t d1)
Float | operator() (const point &x) const
| f (size_t=0)
Float | operator() (const point &x) const
| f (size_t d1, Float nu1, Float t1=0)
Float | operator() (const point &x) const
| f (size_t d1)
Float | operator() (const point &x) const
| f (size_t d1)
Float | operator() (const point &x) const
| f (size_t d1)
Float | operator() (const point &x) const
| f (size_t=0)
Float | operator() (const point &x) const
| f (size_t d1)
point | operator() (const point &x) const
| f ()
Float | operator() (const point &x) const
| f (size_t d=3)
Public Member Functions inherited from phi
| phi (Float n1=2, Float c1=1, Float r1=0)
Float | operator() (const Float &x) const
Float | derivative (const Float &x) const
Float | operator() (const point &x) const
| phi (size_t d1, Float nu1, Float t1=0)
point | x0t () const
point | d_x0t_dt () const
Float | operator() (const point &x) const
| phi (Float sigma1)

## Public Attributes

size_t | d
const Float | pi
Float | a
u_exact | _u
Float | pi
size_t | n
g | _g
Public Attributes inherited from phi
Float | sigma

## Protected Attributes

p | _p
Float | alpha
Protected Attributes inherited from phi
Float | n
Float | c
Float | r
size_t | d
Float | nu
Float | t
Float | u0
point | x0

## Additional Inherited Members

Static Public Member Functions inherited from phi
static Float | sigma (size_t d, Float nu1, Float t=0)
Protected Member Functions inherited from phi
Float | f (Float y) const
Float | df_dy (Float y) const
Static Protected Attributes inherited from phi
static const size_t | max_iter = 100
static constexpr Float | t0 = 0.2

## Constructor & Destructor Documentation

## f() [1/13]

f | ( | size_t | d1 | ) |

Definition at line 29 of file cosinusprod_dirichlet.h.

## f() [2/13]

f | ( | size_t | d1 | ) |

Definition at line 27 of file cosinusprod_helmholtz.h.

## f() [3/13]

f | ( | size_t | d1 | ) |

Definition at line 28 of file cosinusprod_laplace.h.

## f() [4/13]

f | ( | size_t | d1 | ) |

Definition at line 30 of file cosinusrad_laplace.h.

## f() [5/13]

f | ( | size_t | = 0 | ) |

Definition at line 27 of file dirichlet_homogeneous.h.

## f() [6/13]

f | ( | size_t | d1,
|  | Float | nu1,
|  | Float | t1 = 0 )

Definition at line 26 of file rotating-hill-statio.h.

## f() [7/13]

f | ( | size_t | d1 | ) |

Definition at line 28 of file sinusprod_dirichlet.h.

## f() [8/13]

f | ( | size_t | d1 | ) |

Definition at line 32 of file sinusprod_helmholtz.h.

## f() [9/13]

f | ( | size_t | d1 | ) |

Definition at line 28 of file sinusprod_laplace.h.

## f() [10/13]

f | ( | size_t | = 0 | ) |

Definition at line 30 of file sinusrad_laplace.h.

## f() [11/13]

f | ( | size_t | d1 | ) |

Definition at line 39 of file sphere.icc.

## f() [12/13]

f | ( |  | ) |

Examples
  cosinusprod_dirichlet.h, cosinusprod_helmholtz.h, cosinusprod_laplace.h, cosinusrad_laplace.h, dirichlet_homogeneous.h, sinusprod_dirichlet.h, sinusprod_helmholtz.h, sinusprod_laplace.h, sinusrad_laplace.h, sphere.icc, taylor.h, and torus.icc.

Definition at line 34 of file taylor.h.

## f() [13/13]

f | ( | size_t | d = 3 | ) |

Definition at line 56 of file torus.icc.

## Member Function Documentation

## operator()() [1/14]

point operator() | ( | const point & | x | ) | const

Examples
  cavity_dg.h, cosinusprod_dirichlet.h, cosinusprod_helmholtz.h, cosinusprod_laplace.h, cosinusrad_laplace.h, dirichlet_homogeneous.h, sinusprod_dirichlet.h, sinusprod_helmholtz.h, sinusprod_laplace.h, sinusrad_laplace.h, sphere.icc, taylor.h, and torus.icc.

Definition at line 30 of file cavity_dg.h.

## operator()() [2/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 27 of file cosinusprod_dirichlet.h.

## operator()() [3/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file cosinusprod_helmholtz.h.

## operator()() [4/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file cosinusprod_laplace.h.

## operator()() [5/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file cosinusrad_laplace.h.

## operator()() [6/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file dirichlet_homogeneous.h.

## operator()() [7/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 23 of file rotating-hill-statio.h.

## operator()() [8/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 27 of file sinusprod_dirichlet.h.

## operator()() [9/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file sinusprod_helmholtz.h.

## operator()() [10/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 27 of file sinusprod_laplace.h.

## operator()() [11/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file sinusrad_laplace.h.

## operator()() [12/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 35 of file sphere.icc.

## operator()() [13/14]

point operator() | ( | const point & | x | ) | const

Definition at line 33 of file taylor.h.

## operator()() [14/14]

Float operator() | ( | const point & | x | ) | const

Definition at line 46 of file torus.icc.

## Member Data Documentation

## d

size_t d

Examples
  cosinusprod_dirichlet.h, cosinusprod_helmholtz.h, cosinusprod_laplace.h, cosinusrad_laplace.h, sinusprod_dirichlet.h, sinusprod_helmholtz.h, sinusprod_laplace.h, sphere.icc, and torus.icc.

Definition at line 30 of file cosinusprod_dirichlet.h.

## pi [1/2]

const Float pi

Examples
  cosinusprod_dirichlet.h, cosinusprod_helmholtz.h, cosinusprod_laplace.h, sinusprod_dirichlet.h, sinusprod_helmholtz.h, sinusprod_laplace.h, sphere.icc, and taylor.h.

Definition at line 30 of file cosinusprod_dirichlet.h.

## a

Float a

Examples
  cosinusrad_laplace.h.

Definition at line 31 of file cosinusrad_laplace.h.

## _u

u_exact _u

Examples
  sinusprod_dirichlet.h, and sinusprod_laplace.h.

Definition at line 30 of file sinusprod_dirichlet.h.

## pi [2/2]

Float pi

Definition at line 30 of file sinusprod_dirichlet.h.

## n

size_t n

Examples
  sinusrad_laplace.h.

Definition at line 31 of file sinusrad_laplace.h.

## _p

p _p

protected

Examples
  sphere.icc.

Definition at line 43 of file sphere.icc.

## alpha

Float alpha

protected

Examples
  sphere.icc.

Definition at line 43 of file sphere.icc.

## _g

g _g

Examples
  taylor.h.

Definition at line 35 of file taylor.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/cavity_dg.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/cosinusprod_dirichlet.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/cosinusprod_helmholtz.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/cosinusprod_laplace.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/cosinusrad_laplace.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/sinusprod_dirichlet.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/sinusprod_helmholtz.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/sinusprod_laplace.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/sinusrad_laplace.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/sphere.icc
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/taylor.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/dirichlet_homogeneous.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/rotating-hill-statio.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/torus.icc